import request from '@/utils/request'

// 分页
export function page(data) {
  return request({
    url: `/qqService/page`,
    method: 'post',
    data
  })
}

// 兑换码列表
export function list(data) {
  return request({
    url: `/qqServiceBatch/newpage`,
    method: 'post',
    data
  })
}

// 批量导入推送短信
export function importData(data){
  return request({
    url: `/qqService/sendMsgList`,
    method: 'post',
    data
  })
}

// 批量发送短信
export function send(data){
  return request({
    url: `/qqService/batchSendMsg`,
    method: 'post',
    data
  })
}

// 详情
export function detail(query){
  return request({
    url: `/qqService/get`,
    method: 'get',
    params: query
  })
}

// 强制过期
export function past(data){
  return request({
    url: `/qqServiceBatch/updateStatus`,
    method: 'post',
    data
  })
}

// 批次列表
export function batchList(){
  return request({
    url: `/qqServiceBatch/pageAll`,
    method: 'post'
  })
}

// 批次分页列表
export function batchPage(data){
  return request({
    url: `/qqServiceBatch/page`,
    method: 'post',
    data
  })
}